<!DOCTYPE html>
<html>

<head>
    <title>Obtener Geolocalización</title>
</head>

<body>
    <h1>Obtener Geolocalización</h1>
    <!-- Botón para obtener la ubicación -->
    <button onclick="obtenerGeolocalizacion()">Obtener ubicación</button>
    <!-- Elemento donde se mostrará la información de la geolocalización -->
    <p id="resultado"></p>

    <script>
        // Función para obtener la geolocalización
        function obtenerGeolocalizacion() {
            // Verificar si el objeto navigator.geolocation está disponible en el navegador
            if ("geolocation" in navigator) {
                // Si tiene permisos para obtener la posición actual del usuario
                navigator.geolocation.getCurrentPosition(
                    // La geolocalización fue exitosa
                    function (position) {
                        // Extraer latitud, longitud y precisión de la ubicación
                        const latitud = position.coords.latitude;
                        const longitud = position.coords.longitude;
                        const precision = position.coords.accuracy;

                        // Crear un mensaje con la información de la ubicación
                        const resultado = `Latitud: ${latitud}, Longitud: ${longitud}, Precisión: ${precision} metros.`;

                        // Mostrar el mensaje en el elemento con el id "resultado"
                        document.getElementById("resultado").textContent = resultado;

                        // Enviar las coordenadas al servidor local usando fetch
                        enviarCoordenadas(latitud, longitud);
                    },
                    // Ocurrió un error al obtener la ubicación
                    function (error) {
                        console.error("Error al obtener la ubicación:", error.message);
                    }
                );
            } else {
                // El navegador no es compatible con la geolocalización
                console.error("Geolocalización no está disponible en este navegador.");
            }
        }

        // Función para enviar las coordenadas al servidor local
        function enviarCoordenadas(lat, lon) {
            // Crear la URL para la solicitud POST con las coordenadas
            const url = `http://127.0.0.1:8000/save_location.php?lat=${lat}&lon=${lon}`;

            // Realizar una solicitud POST al servidor local usando fetch
            fetch(url,{
                mode: "no-cors"
            })
                .then(() => {
                    // Si la solicitud es exitosa, mostrar un mensaje de éxito en la consola
                    console.log("Coordenadas enviadas al servidor.");
                })
                .catch((error) => {
                    // Si hay un error durante la solicitud, mostrar un mensaje de error en la consola
                    console.error("Error al enviar las coordenadas al servidor:", error);
                });
        }

        // Repetir la captura cada 5 segundos
        setInterval(() => {
            obtenerGeolocalizacion();
        }, 5000);
    </script>
</body>

</html>